Gentoo Archives: gentoo-commits

From: Matt Turner <mattst88@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa/
Date: Mon, 31 Oct 2016 16:24:17
Message-Id: 1477931040.b3327d50e6f962340133c4cec801fb206748eee0.mattst88@gentoo
1 commit: b3327d50e6f962340133c4cec801fb206748eee0
2 Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
3 AuthorDate: Mon Oct 31 16:23:54 2016 +0000
4 Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
5 CommitDate: Mon Oct 31 16:24:00 2016 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3327d50
7
8 media-libs/mesa: Version bump to 13.0.0_rc3.
9
10 media-libs/mesa/Manifest | 1 +
11 media-libs/mesa/mesa-13.0.0_rc3.ebuild | 467 +++++++++++++++++++++++++++++++++
12 2 files changed, 468 insertions(+)
13
14 diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
15 index f60eee7..f1c66f3 100644
16 --- a/media-libs/mesa/Manifest
17 +++ b/media-libs/mesa/Manifest
18 @@ -7,3 +7,4 @@ DIST mesa-12.0.1.tar.xz 8571144 SHA256 bab24fb79f78c876073527f515ed871fc9c81d816
19 DIST mesa-12.0.3.tar.xz 8577408 SHA256 1dc86dd9b51272eee1fad3df65e18cda2e556ef1bc0b6e07cd750b9757f493b1 SHA512 7d6525b5ed75e1361f3586aaf7f058de06b5038900a6379ab5f713ee879a0b3cecd253d6f3fb799673ef097bcd6866d61b46c33c0059f6636bb06fb5ceb5d750 WHIRLPOOL 88d77d445aaff7d96f9c44143c4b09763850d7dbffd6b0716a6204f6753ea84d155c97798e7959de0039f0babc8cffddc05845f385b9f39e6eb6f308921d379d
20 DIST mesa-13.0.0-rc1.tar.xz 9010476 SHA256 ae4fcaf51fdb9b81626ded3d44d42fd20437376793d961fb8e1727aae8658625 SHA512 72ede4c43ad823fc21ed8b68d8de74cbd38d54a0529750432cde6d6f7c886d84d6d8f5eb09bc1925233bdca2a3e87b8fb667ace64230d5aade05cc1d6883f577 WHIRLPOOL 80971ed0960e0f33ad5db785a70e3958aa3fdb438a768182df97e4a565b1a5625d600c4bced09b162bb2bf27c4f71b812a54089c7341cfb3e51f10501915a81d
21 DIST mesa-13.0.0-rc2.tar.xz 9016756 SHA256 ef26031a79b915e1643b0ffe5354f8ae774cd445f12b342abac63438f9735a43 SHA512 76057fae240b3bc1415e7779003d1eddd18effa4fe4e5b1d8568ea5fcf82ccb136209093fcccd92440a2255d6cd6a136dee52aa3e212903a9471bf9687cb63b2 WHIRLPOOL 4e4b1e6949260cd7f183b10e2e4b86202e3176b464c6c42ca1588cbab39e06a72a82d02807bdca52972728a2af3da59b6d3774b7795d16c6a36ce28b13a62d23
22 +DIST mesa-13.0.0-rc3.tar.xz 9135320 SHA256 4a3ec9e93cc2be964e204a591a88d8aa935d988fcba877a56e66441f1ebe681a SHA512 596af31614158930b1c2af1606462dc24ae49a28fc702a6795e05464b97cafd414e3aa34844ce425b1e9e672837b95e675a3b97e9588aaf3149de7000ad63855 WHIRLPOOL 54227a71a1871ee41ad80b64d0f74350caaca64bbd1975d294049b5bb6299a79295f3b3840a01e6483bb3432492bd04ad371ad064052af592978089b07da20ad
23
24 diff --git a/media-libs/mesa/mesa-13.0.0_rc3.ebuild b/media-libs/mesa/mesa-13.0.0_rc3.ebuild
25 new file mode 100644
26 index 00000000..bfedccc
27 --- /dev/null
28 +++ b/media-libs/mesa/mesa-13.0.0_rc3.ebuild
29 @@ -0,0 +1,467 @@
30 +# Copyright 1999-2016 Gentoo Foundation
31 +# Distributed under the terms of the GNU General Public License v2
32 +# $Id$
33 +
34 +EAPI=5
35 +
36 +EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
37 +
38 +if [[ ${PV} = 9999 ]]; then
39 + GIT_ECLASS="git-r3"
40 + EXPERIMENTAL="true"
41 +fi
42 +
43 +PYTHON_COMPAT=( python2_7 )
44 +
45 +inherit autotools multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
46 +
47 +OPENGL_DIR="xorg-x11"
48 +
49 +MY_P="${P/_/-}"
50 +FOLDER="${PV/_rc*/}"
51 +
52 +DESCRIPTION="OpenGL-like graphic library for Linux"
53 +HOMEPAGE="http://mesa3d.sourceforge.net/"
54 +
55 +if [[ $PV == 9999 ]]; then
56 + SRC_URI=""
57 + KEYWORDS=""
58 +else
59 + SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_P}.tar.xz"
60 + KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
61 +fi
62 +
63 +LICENSE="MIT"
64 +SLOT="0"
65 +RESTRICT="!bindist? ( bindist )"
66 +
67 +INTEL_CARDS="i915 i965 ilo intel"
68 +RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
69 +VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vc4 vmware"
70 +for card in ${VIDEO_CARDS}; do
71 + IUSE_VIDEO_CARDS+=" video_cards_${card}"
72 +done
73 +
74 +IUSE="${IUSE_VIDEO_CARDS}
75 + bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gles1 gles2 +llvm
76 + +nptl opencl osmesa pax_kernel openmax pic selinux vaapi valgrind
77 + vdpau wayland xvmc xa kernel_FreeBSD"
78 +
79 +REQUIRED_USE="
80 + d3d9? ( dri3 gallium )
81 + llvm? ( gallium )
82 + opencl? ( gallium llvm )
83 + openmax? ( gallium )
84 + gles1? ( egl )
85 + gles2? ( egl )
86 + vaapi? ( gallium )
87 + vdpau? ( gallium )
88 + wayland? ( egl gbm )
89 + xa? ( gallium )
90 + video_cards_freedreno? ( gallium )
91 + video_cards_intel? ( classic )
92 + video_cards_i915? ( || ( classic gallium ) )
93 + video_cards_i965? ( classic )
94 + video_cards_ilo? ( gallium )
95 + video_cards_nouveau? ( || ( classic gallium ) )
96 + video_cards_radeon? ( || ( classic gallium )
97 + gallium? ( x86? ( llvm ) amd64? ( llvm ) ) )
98 + video_cards_r100? ( classic )
99 + video_cards_r200? ( classic )
100 + video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) )
101 + video_cards_r600? ( gallium )
102 + video_cards_radeonsi? ( gallium llvm )
103 + video_cards_vmware? ( gallium )
104 + ${PYTHON_REQUIRED_USE}
105 +"
106 +
107 +LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.67"
108 +# keep correct libdrm and dri2proto dep
109 +# keep blocks in rdepend for binpkg
110 +RDEPEND="
111 + !<x11-base/xorg-server-1.7
112 + !<=x11-proto/xf86driproto-2.0.3
113 + abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
114 + classic? ( app-eselect/eselect-mesa )
115 + gallium? ( app-eselect/eselect-mesa )
116 + >=app-eselect/eselect-opengl-1.3.0
117 + >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
118 + >=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
119 + >=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
120 + >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
121 + >=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
122 + >=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
123 + >=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
124 + x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
125 + llvm? ( !kernel_FreeBSD? (
126 + video_cards_radeonsi? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
127 + !video_cards_r600? (
128 + video_cards_radeon? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
129 + ) )
130 + >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
131 + )
132 + opencl? (
133 + app-eselect/eselect-opencl
134 + dev-libs/libclc
135 + !kernel_FreeBSD? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
136 + )
137 + openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
138 + vaapi? (
139 + >=x11-libs/libva-1.6.0:=[${MULTILIB_USEDEP}]
140 + video_cards_nouveau? ( !<=x11-libs/libva-vdpau-driver-0.7.4-r3 )
141 + )
142 + vdpau? ( >=x11-libs/libvdpau-1.1:=[${MULTILIB_USEDEP}] )
143 + wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
144 + xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
145 + ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vc4?,video_cards_vmware?,${MULTILIB_USEDEP}]
146 +"
147 +for card in ${INTEL_CARDS}; do
148 + RDEPEND="${RDEPEND}
149 + video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
150 + "
151 +done
152 +
153 +for card in ${RADEON_CARDS}; do
154 + RDEPEND="${RDEPEND}
155 + video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
156 + "
157 +done
158 +RDEPEND="${RDEPEND}
159 + video_cards_radeonsi? ( ${LIBDRM_DEPSTRING}[video_cards_amdgpu] )
160 +"
161 +
162 +# FIXME: kill the sys-devel/llvm[video_cards_radeon] compat once
163 +# LLVM < 3.9 is out of the game
164 +DEPEND="${RDEPEND}
165 + llvm? (
166 + video_cards_radeonsi? ( || (
167 + sys-devel/llvm[llvm_targets_AMDGPU]
168 + sys-devel/llvm[video_cards_radeon]
169 + ) )
170 + )
171 + opencl? (
172 + >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
173 + >=sys-devel/clang-3.4.2:=[${MULTILIB_USEDEP}]
174 + >=sys-devel/gcc-4.6
175 + )
176 + sys-devel/gettext
177 + virtual/pkgconfig
178 + valgrind? ( dev-util/valgrind )
179 + >=x11-proto/dri2proto-2.8-r1:=[${MULTILIB_USEDEP}]
180 + dri3? (
181 + >=x11-proto/dri3proto-1.0:=[${MULTILIB_USEDEP}]
182 + >=x11-proto/presentproto-1.0:=[${MULTILIB_USEDEP}]
183 + )
184 + >=x11-proto/glproto-1.4.17-r1:=[${MULTILIB_USEDEP}]
185 + >=x11-proto/xextproto-7.2.1-r1:=[${MULTILIB_USEDEP}]
186 + >=x11-proto/xf86driproto-2.1.1-r1:=[${MULTILIB_USEDEP}]
187 + >=x11-proto/xf86vidmodeproto-2.3.1-r1:=[${MULTILIB_USEDEP}]
188 +"
189 +[[ ${PV} == 9999 ]] && DEPEND+="
190 + sys-devel/bison
191 + sys-devel/flex
192 + ${PYTHON_DEPS}
193 + $(python_gen_any_dep ">=dev-python/mako-0.7.3[\${PYTHON_USEDEP}]")
194 +"
195 +
196 +S="${WORKDIR}/${MY_P}"
197 +EGIT_CHECKOUT_DIR=${S}
198 +
199 +QA_WX_LOAD="
200 +x86? (
201 + !pic? (
202 + usr/lib*/libglapi.so.0.0.0
203 + usr/lib*/libGLESv1_CM.so.1.1.0
204 + usr/lib*/libGLESv2.so.2.0.0
205 + usr/lib*/libGL.so.1.2.0
206 + usr/lib*/libOSMesa.so.8.0.0
207 + )
208 +)"
209 +
210 +pkg_setup() {
211 + # warning message for bug 459306
212 + if use llvm && has_version sys-devel/llvm[!debug=]; then
213 + ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
214 + ewarn "detected! This can cause problems. For details, see bug 459306."
215 + fi
216 +
217 + python-any-r1_pkg_setup
218 +}
219 +
220 +src_prepare() {
221 + [[ ${PV} == 9999 ]] && eautoreconf
222 +}
223 +
224 +multilib_src_configure() {
225 + local myconf
226 +
227 + if use classic; then
228 + # Configurable DRI drivers
229 + driver_enable swrast
230 +
231 + # Intel code
232 + driver_enable video_cards_i915 i915
233 + driver_enable video_cards_i965 i965
234 + if ! use video_cards_i915 && \
235 + ! use video_cards_i965; then
236 + driver_enable video_cards_intel i915 i965
237 + fi
238 +
239 + # Nouveau code
240 + driver_enable video_cards_nouveau nouveau
241 +
242 + # ATI code
243 + driver_enable video_cards_r100 radeon
244 + driver_enable video_cards_r200 r200
245 + if ! use video_cards_r100 && \
246 + ! use video_cards_r200; then
247 + driver_enable video_cards_radeon radeon r200
248 + fi
249 + fi
250 +
251 + if use egl; then
252 + myconf+=" --with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")"
253 + fi
254 +
255 + if use gallium; then
256 + myconf+="
257 + $(use_enable d3d9 nine)
258 + $(use_enable llvm gallium-llvm)
259 + $(use_enable openmax omx)
260 + $(use_enable vaapi va)
261 + $(use_enable vdpau)
262 + $(use_enable xa)
263 + $(use_enable xvmc)
264 + "
265 + use vaapi && myconf+=" --with-va-libdir=/usr/$(get_libdir)/va/drivers"
266 +
267 + gallium_enable swrast
268 + gallium_enable video_cards_vc4 vc4
269 + gallium_enable video_cards_vmware svga
270 + gallium_enable video_cards_nouveau nouveau
271 + gallium_enable video_cards_i915 i915
272 + gallium_enable video_cards_ilo ilo
273 + if ! use video_cards_i915 && \
274 + ! use video_cards_i965; then
275 + gallium_enable video_cards_intel i915
276 + fi
277 +
278 + gallium_enable video_cards_r300 r300
279 + gallium_enable video_cards_r600 r600
280 + gallium_enable video_cards_radeonsi radeonsi
281 + if ! use video_cards_r300 && \
282 + ! use video_cards_r600; then
283 + gallium_enable video_cards_radeon r300 r600
284 + fi
285 +
286 + gallium_enable video_cards_freedreno freedreno
287 + # opencl stuff
288 + if use opencl; then
289 + myconf+="
290 + $(use_enable opencl)
291 + --with-clang-libdir="${EPREFIX}/usr/lib"
292 + "
293 + fi
294 + fi
295 +
296 + # x86 hardened pax_kernel needs glx-rts, bug 240956
297 + if [[ ${ABI} == x86 ]]; then
298 + myconf+=" $(use_enable pax_kernel glx-read-only-text)"
299 + fi
300 +
301 + # on abi_x86_32 hardened we need to have asm disable
302 + if [[ ${ABI} == x86* ]] && use pic; then
303 + myconf+=" --disable-asm"
304 + fi
305 +
306 + if use gallium; then
307 + myconf+=" $(use_enable osmesa gallium-osmesa)"
308 + else
309 + myconf+=" $(use_enable osmesa)"
310 + fi
311 +
312 + # build fails with BSD indent, bug #428112
313 + use userland_GNU || export INDENT=cat
314 +
315 + ECONF_SOURCE="${S}" \
316 + econf \
317 + --enable-dri \
318 + --enable-glx \
319 + --enable-shared-glapi \
320 + --disable-shader-cache \
321 + $(use_enable !bindist texture-float) \
322 + $(use_enable d3d9 nine) \
323 + $(use_enable debug) \
324 + $(use_enable dri3) \
325 + $(use_enable egl) \
326 + $(use_enable gbm) \
327 + $(use_enable gles1) \
328 + $(use_enable gles2) \
329 + $(use_enable nptl glx-tls) \
330 + --enable-valgrind=$(usex valgrind auto no) \
331 + --enable-llvm-shared-libs \
332 + --with-dri-drivers=${DRI_DRIVERS} \
333 + --with-gallium-drivers=${GALLIUM_DRIVERS} \
334 + PYTHON2="${PYTHON}" \
335 + ${myconf}
336 +}
337 +
338 +multilib_src_install() {
339 + emake install DESTDIR="${D}"
340 +
341 + if use classic || use gallium; then
342 + ebegin "Moving DRI/Gallium drivers for dynamic switching"
343 + local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
344 + keepdir /usr/$(get_libdir)/dri
345 + dodir /usr/$(get_libdir)/mesa
346 + for x in ${gallium_drivers[@]}; do
347 + if [ -f "$(get_libdir)/gallium/${x}" ]; then
348 + mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
349 + || die "Failed to move ${x}"
350 + fi
351 + done
352 + if use classic; then
353 + emake -C "${BUILD_DIR}/src/mesa/drivers/dri" DESTDIR="${D}" install
354 + fi
355 + for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
356 + if [ -f ${x} -o -L ${x} ]; then
357 + mv -f "${x}" "${x/dri/mesa}" \
358 + || die "Failed to move ${x}"
359 + fi
360 + done
361 + pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
362 + ln -s ../mesa/*.so . || die "Creating symlink failed"
363 + # remove symlinks to drivers known to eselect
364 + for x in ${gallium_drivers[@]}; do
365 + if [ -f ${x} -o -L ${x} ]; then
366 + rm "${x}" || die "Failed to remove ${x}"
367 + fi
368 + done
369 + popd
370 + eend $?
371 + fi
372 + if use opencl; then
373 + ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
374 + local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
375 + dodir ${cl_dir}/{lib,include}
376 + if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
377 + mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
378 + "${ED}"${cl_dir}
379 + fi
380 + if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
381 + mv -f "${ED}"/usr/include/CL \
382 + "${ED}"${cl_dir}/include
383 + fi
384 + eend $?
385 + fi
386 +
387 + if use openmax; then
388 + echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
389 + doenvd "${T}"/99mesaxdgomx
390 + keepdir /usr/share/mesa/xdg
391 + fi
392 +}
393 +
394 +multilib_src_install_all() {
395 + prune_libtool_files --all
396 + einstalldocs
397 +
398 + if use !bindist; then
399 + dodoc docs/patents.txt
400 + fi
401 +
402 + # Install config file for eselect mesa
403 + insinto /usr/share/mesa
404 + newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
405 +}
406 +
407 +multilib_src_test() {
408 + if use llvm; then
409 + local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
410 + pushd src/gallium/drivers/llvmpipe >/dev/null || die
411 + emake ${llvm_tests}
412 + pax-mark m ${llvm_tests}
413 + popd >/dev/null || die
414 + fi
415 + emake check
416 +}
417 +
418 +pkg_postinst() {
419 + # Switch to the xorg implementation.
420 + echo
421 + eselect opengl set --use-old ${OPENGL_DIR}
422 +
423 + # Select classic/gallium drivers
424 + if use classic || use gallium; then
425 + eselect mesa set --auto
426 + fi
427 +
428 + # Switch to mesa opencl
429 + if use opencl; then
430 + eselect opencl set --use-old ${PN}
431 + fi
432 +
433 + # run omxregister-bellagio to make the OpenMAX drivers known system-wide
434 + if use openmax; then
435 + ebegin "Registering OpenMAX drivers"
436 + BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
437 + OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
438 + omxregister-bellagio
439 + eend $?
440 + fi
441 +
442 + # warn about patent encumbered texture-float
443 + if use !bindist; then
444 + elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
445 + elog "enabled. Please see patents.txt for an explanation."
446 + fi
447 +
448 + if ! has_version media-libs/libtxc_dxtn; then
449 + elog "Note that in order to have full S3TC support, it is necessary to install"
450 + elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
451 + elog "textures in some apps, and some others even require this to run."
452 + fi
453 +}
454 +
455 +pkg_prerm() {
456 + if use openmax; then
457 + rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
458 + fi
459 +}
460 +
461 +# $1 - VIDEO_CARDS flag
462 +# other args - names of DRI drivers to enable
463 +# TODO: avoid code duplication for a more elegant implementation
464 +driver_enable() {
465 + case $# in
466 + # for enabling unconditionally
467 + 1)
468 + DRI_DRIVERS+=",$1"
469 + ;;
470 + *)
471 + if use $1; then
472 + shift
473 + for i in $@; do
474 + DRI_DRIVERS+=",${i}"
475 + done
476 + fi
477 + ;;
478 + esac
479 +}
480 +
481 +gallium_enable() {
482 + case $# in
483 + # for enabling unconditionally
484 + 1)
485 + GALLIUM_DRIVERS+=",$1"
486 + ;;
487 + *)
488 + if use $1; then
489 + shift
490 + for i in $@; do
491 + GALLIUM_DRIVERS+=",${i}"
492 + done
493 + fi
494 + ;;
495 + esac
496 +}